SamSingleBaseMatchInfo Class Reference

This class contains the match/mismatch information between the reference and a read for a single base. More...

`#include <SamQuerySeqWithRefHelper.h>`

## Public Types

enum | Type { UNKNOWN, MATCH, MISMATCH }
| More types can be added later as needed.

## Public Member Functions

Type | getType ()
| Get the type (match/mismatch/unknown) for this object.
int32_t | getQueryIndex ()
| Get the query index for this object.
void | setType (Type newType)
| Set the type (match/mismatch/unkown) for this object.
void | setQueryIndex (int32_t queryIndex)
| Set the query index for this object.

## Detailed Description

This class contains the match/mismatch information between the reference and a read for a single base.

Definition at line 28 of file SamQuerySeqWithRefHelper.h.

The documentation for this class was generated from the following files:

- bam/SamQuerySeqWithRefHelper.h
- bam/SamQuerySeqWithRefHelper.cpp